## golang-github-micromdm-scep 2.0.0

=== Makefile ===
VERSION=$(shell git describe --tags --always --dirty)
LDFLAGS=-ldflags "-X main.version=$(VERSION)"
OSARCH=$(shell go env GOHOSTOS)-$(shell go env GOHOSTARCH)

SCEPCLIENT=\
	scepclient-linux-amd64 \
	scepclient-darwin-amd64 \
	scepclient-freebsd-amd64 \
	scepclient-windows-amd64.exe \

SCEPSERVER=\
	scepserver-linux-amd64 \
	scepserver-darwin-amd64 \
	scepserver-freebsd-amd64 \
	scepserver-windows-amd64.exe

my: scepclient-$(OSARCH) scepserver-$(OSARCH)

docker: scepclient-linux-amd64 scepserver-linux-amd64

$(SCEPCLIENT):
	GOOS=$(word 2,$(subst -, ,$@)) GOARCH=$(word 3,$(subst -, ,$(subst .exe,,$@))) go build $(LDFLAGS) -o $@ ./cmd/scepclient

$(SCEPSERVER):
	GOOS=$(word 2,$(subst -, ,$@)) GOARCH=$(word 3,$(subst -, ,$(subst .exe,,$@))) go build $(LDFLAGS) -o $@ ./cmd/scepserver

%-$(VERSION).zip: %.exe
	rm -f $@
	zip $@ $<

%-$(VERSION).zip: %
	rm -f $@
	zip $@ $<

release: $(foreach bin,$(SCEPCLIENT) $(SCEPSERVER),$(subst .exe,,$(bin))-$(VERSION).zip)

clean:
	rm -f scepclient-* scepserver-*

test:
	go test -cover ./...

# don't run race tests by default. see https://github.com/etcd-io/bbolt/issues/187
test-race:
	go test -cover -race ./...

.PHONY: my docker $(SCEPCLIENT) $(SCEPSERVER) release clean test test-race

=== debian/changelog ===
golang-github-micromdm-scep (2.0.0-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Peymaneh Nejad <p.nejad@posteo.de>  Thu, 26 Aug 2021 13:40:10 +0200

golang-github-micromdm-scep (2.0.0-1) unstable; urgency=medium

  [ Peymaneh Nejad ]
  * Initial release (Closes: #990959)

 -- Georg Faerber <georg@debian.org>  Tue, 03 Aug 2021 21:13:59 +0000

=== debian/control ===
Source: golang-github-micromdm-scep
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-boltdb-bolt-dev,
               golang-github-go-kit-kit-dev,
               golang-github-go-logfmt-logfmt-dev,
               golang-github-gorilla-context-dev,
               golang-github-gorilla-mux-dev,
               golang-github-pkg-errors-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-github-fullsailor-pkcs7-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-micromdm-scep
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-micromdm-scep.git
Homepage: https://github.com/micromdm/scep
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/micromdm/scep

Package: scep
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: SCEP server and client written in go
 scep implements Simple Certificate Enrollment Protocol server and client.
 This package provides its binaries scepserver and scepclient.

Package: golang-github-micromdm-scep-dev
Architecture: all
Depends: golang-github-boltdb-bolt-dev,
         golang-github-go-kit-kit-dev,
         golang-github-go-logfmt-logfmt-dev,
         golang-github-gorilla-context-dev,
         golang-github-gorilla-mux-dev,
         golang-github-pkg-errors-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-github-fullsailor-pkcs7-dev,
         ${misc:Depends}
Description: SCEP go library
 This package provides a Simple Certificate Enrollment Protocol library for
 usage in another go project.
 .
 An example server implementation will be installed to
 /usr/share/doc/golang-github-micromdm-scep-dev/examples/
 .
 Documentation: https://pkg.go.dev/github.com/micromdm/scep/v2/scep

=== debian/rules ===
#!/usr/bin/make -f

DH_GOPKG := github.com/micromdm/scep
include /usr/share/dpkg/pkg-info.mk
VERSION = $(shell echo $(DEB_VERSION) | cut -d- -f1)
LDFLAGS := -ldflags '-X "main.version=$(VERSION)"'

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- $(LDFLAGS)

override_dh_install-indep:
	find debian/tmp/usr/share/gocode/src/$(DH_GOPKG)/scep/testdata/ \
	    -type f -exec chmod -x \{\} \;
	rm -rf debian/tmp/usr/share/gocode/src/$(DH_GOPKG)/cmd
	dh_install -i

## golang-github-micromdm-scep 2.1.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	scepclient-linux-amd64 \
 	scepclient-darwin-amd64 \
 	scepclient-freebsd-amd64 \
-	scepclient-windows-amd64.exe \
+	scepclient-windows-amd64.exe
 
 SCEPSERVER=\
 	scepserver-linux-amd64 \

=== debian/changelog ===
golang-github-micromdm-scep (2.1.0-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 13:28:27 +1000

golang-github-micromdm-scep (2.1.0-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 15:21:38 +1000

golang-github-micromdm-scep (2.1.0-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:44:23 +0530

golang-github-micromdm-scep (2.1.0-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:32 +1200

golang-github-micromdm-scep (2.1.0-3) unstable; urgency=medium

  * Source only upload for testing migration

 -- Peymaneh <peymaneh@posteo.net>  Mon, 28 Nov 2022 14:27:19 +0100

golang-github-micromdm-scep (2.1.0-2) unstable; urgency=medium

  * d/patches: Fix disfunctional test
  * Updating maintainer info
  * Updating Standards-Version
  * Please lintian

 -- Peymaneh <peymaneh@posteo.net>  Sun, 27 Nov 2022 22:12:12 +0100

golang-github-micromdm-scep (2.1.0-1) unstable; urgency=medium

  * Team upload

  [ Peymaneh Nejad ]
  * New upstream version 2.1.0
  * d/rules: disable CGO
  * Add lintian overrides

  [ Shengjing Zhu ]
  * Remove indirect Build-Depends and Depends
  * Drop patch for mozilla-pkcs7
    golang-github-fullsailor-pkcs7-dev provides go.mozilla.org/pkcs7
    since 0.0~git20210826.33d0574

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 02 Jul 2022 01:12:58 +0800

=== debian/control ===
Source: golang-github-micromdm-scep
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-boltdb-bolt-dev,
               golang-github-fullsailor-pkcs7-dev (>= 0.0~git20210826.33d0574~),
               golang-github-go-kit-kit-dev,
               golang-github-gorilla-mux-dev,
               golang-github-pkg-errors-dev,
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-micromdm-scep
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-micromdm-scep.git
Homepage: https://github.com/micromdm/scep
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/micromdm/scep

Package: scep
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: SCEP server and client written in go
 scep implements Simple Certificate Enrollment Protocol server and client.
 This package provides its binaries scepserver and scepclient.

Package: golang-github-micromdm-scep-dev
Architecture: all
Depends: golang-github-boltdb-bolt-dev,
         golang-github-fullsailor-pkcs7-dev (>= 0.0~git20210826.33d0574~),
         golang-github-go-kit-kit-dev,
         golang-github-gorilla-mux-dev,
         golang-github-pkg-errors-dev,
         ${misc:Depends},
Description: SCEP go library
 This package provides a Simple Certificate Enrollment Protocol library for
 usage in another go project.
 .
 An example server implementation will be installed to
 /usr/share/doc/golang-github-micromdm-scep-dev/examples/
 .
 Documentation: https://pkg.go.dev/github.com/micromdm/scep/v2/scep

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export CGO_ENABLED := 0
 DH_GOPKG := github.com/micromdm/scep
 include /usr/share/dpkg/pkg-info.mk
 VERSION = $(shell echo $(DEB_VERSION) | cut -d- -f1)

## golang-github-micromdm-scep 2.3.0

=== Makefile ===
--- 
+++ 
@@ -4,17 +4,23 @@
 
 SCEPCLIENT=\
 	scepclient-linux-amd64 \
+	scepclient-linux-arm \
 	scepclient-darwin-amd64 \
+	scepclient-darwin-arm64 \
 	scepclient-freebsd-amd64 \
 	scepclient-windows-amd64.exe
 
 SCEPSERVER=\
 	scepserver-linux-amd64 \
+	scepserver-linux-arm \
 	scepserver-darwin-amd64 \
+	scepserver-darwin-arm64 \
 	scepserver-freebsd-amd64 \
 	scepserver-windows-amd64.exe
 
 my: scepclient-$(OSARCH) scepserver-$(OSARCH)
+
+win: scepclient-$(OSARCH).exe scepserver-$(OSARCH).exe
 
 docker: scepclient-linux-amd64 scepserver-linux-amd64
 
@@ -44,4 +50,4 @@
 test-race:
 	go test -cover -race ./...
 
-.PHONY: my docker $(SCEPCLIENT) $(SCEPSERVER) release clean test test-race
+.PHONY: my win docker $(SCEPCLIENT) $(SCEPSERVER) release clean test test-race

=== debian/changelog ===
golang-github-micromdm-scep (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add Static-Built-Using.
  * Mark golang-github-micromdm-scep-dev as Multi-Arch: foreign.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Aug 2025 10:10:51 +0200

golang-github-micromdm-scep (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0.  Closes: #1078618.
  * Standards-Version: 4.7.2.
  * Fix dh-make-golang check-depends; use golang-github-smallstep-scep-dev.
  * Drop no longer needed debian/patches/0002-Fix-disfunctional-test.patch.
  * Use execute_before instead of override for install target.
  * Add DH_BUILD_OPTs to dh_auto_build.
  * d/salsa-ci.yml: Add, build rdeps.
  * Improve Description: text.
  * Refresh lintian overrides.
  * Bump debian/* copyright years.
  * d/salsa-ci.yml: Use wrap-and-sort -a.
  * Fix riscv64 builds.  Closes: #1012623.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 26 Mar 2025 12:09:12 +0100

=== debian/control ===
Source: golang-github-micromdm-scep
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-bbolt-dev,
               golang-github-go-kit-kit-dev,
               golang-github-gorilla-mux-dev,
               golang-github-pkg-errors-dev,
               golang-github-smallstep-scep-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-micromdm-scep
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-micromdm-scep.git
Homepage: https://github.com/micromdm/scep
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/micromdm/scep

Package: scep
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using},
Description: Simple Certificate Enrollment Protocol server/client in Go
 scep implements Simple Certificate Enrollment Protocol server and client.
 .
 This package provides the binaries 'scepserver' and 'scepclient'.

Package: golang-github-micromdm-scep-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-coreos-bbolt-dev,
         golang-github-go-kit-kit-dev,
         golang-github-gorilla-mux-dev,
         golang-github-pkg-errors-dev,
         golang-github-smallstep-scep-dev,
         ${misc:Depends}
Description: Simple Certificate Enrollment Protocol library
 This package provides a Simple Certificate Enrollment Protocol library for
 usage in another go project.
 .
 An example server implementation will be installed to
 /usr/share/doc/golang-github-micromdm-scep-dev/examples/
 .
 Documentation: https://pkg.go.dev/github.com/micromdm/scep/v2/scep
 .
 This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

export CGO_ENABLED := 0
DH_GOPKG := github.com/micromdm/scep
include /usr/share/dpkg/pkg-info.mk
VERSION = $(shell echo $(DEB_VERSION) | cut -d- -f1)
LDFLAGS := -ldflags '-X "main.version=$(VERSION)"'

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build $(DH_BUILD_OPTS) -- $(LDFLAGS)

execute_before_dh_install-indep:
	chmod -v -x debian/tmp/usr/share/gocode/src/$(DH_GOPKG)/testdata/PKCSReq.der
	rm -rfv debian/tmp/usr/share/gocode/src/$(DH_GOPKG)/cmd

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-micromdm-scep-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/micromdm/scep/tags .*/v?(\d\S*)\.tar\.gz debian
